<?php
namespace MageWorx\OptionFeatures\Block\Adminhtml\Gallery\Content;

/**
 * Interceptor class for @see \MageWorx\OptionFeatures\Block\Adminhtml\Gallery\Content
 */
class Interceptor extends \MageWorx\OptionFeatures\Block\Adminhtml\Gallery\Content implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Json\EncoderInterface $jsonEncoder, \MageWorx\OptionFeatures\Model\Product\Option\Value\Media\Config $mediaConfig, \Magento\Catalog\Helper\Image $imageHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $jsonEncoder, $mediaConfig, $imageHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
